import request from '@/utils/request'

export function GetMembers(params) {
  return request({
    url: '/api/members',
    method: 'get',
    params: params
  })
}

export function CreateMember(data) {
  return request({
    url: '/api/member/create',
    method: 'post',
    data: data
  })
}

export function EditMember(id, data) {
  return request({
    url: '/api/member/edit?id=' + id,
    method: 'put',
    data: data
  })
}

export function EditMemberTags(id, data) {
  return request({
    url: '/api/member/tag/edit?id=' + id,
    method: 'post',
    data: data
  })
}

export function AddMembersTags(data) {
  return request({
    url: '/api/members/tags/add',
    method: 'post',
    data: data
  })
}

export function DeleteMembers(data) {
  return request({
    url: '/api/members/delete',
    method: 'delete',
    data: data
  })
}

export function EditMemberCard(params) {
  return request({
    url: '/api/member/card/edit',
    method: 'put',
    params: params
  })
}

export function GetTags() {
  return request({
    url: '/api/members/tags',
    method: 'get',
  })
}


